ある起業家のブログ

ゲームや仕事の事を書き綴る勝手気ままなサイトです。

HOME > 技術関連 > Railsインストール

Railsインストール

2012/09/30

■Railsのインストール

【前準備】
□Rubyのインストール

関連サイト
ftp://ftp.ruby-lang.org/pub/ruby

念のために、前のバージョンをアンインストール

# yum remove ruby

# cd /usr/local/src
# wget ftp://ftp.ruby-lang.org/pub/ruby/ruby-1.9.3-rc1.tar.gz
# tar zxvf ruby-1.9.3-rc1.tar.gz
# cd ruby-1.9.3-rc1/
# ./configure
# make
# make install

□rubygemのインストール

関連サイト

http://pkgs.fedoraproject.org/repo/pkgs/rubygems/

# cd /usr/local/src
# wget http://pkgs.fedoraproject.org/repo/pkgs/rubygems/rubygems-0.9.4.tgz/b5680acaa019c80ea44fe87cc2e227da/rubygems-1.8.24.tgz
# tar zxvf rubygems-1.8.24.tgz
# cd rubygems-1.8.24
# ruby setup.rb

(エラー)
/usr/local/lib/ruby/site_ruby/1.9.1/rbconfig/datadir.rb:9: Use RbConfig instead of obsolete and deprecated Config.
/usr/local/lib/ruby/1.9.1/yaml.rb:56:in `‘:
It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby.
/usr/local/lib/ruby/1.9.1/yaml.rb:56:in `‘:
It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby.
RubyGems 1.8.24 installed

(解決)
# yum install zlib-devel

下記からファイルをダウンロードしてインストール

# wget http://pyyaml.org/download/libyaml/yaml-0.1.4.tar.gz
# tar zxvf yaml-0.1.4.tar.gz
# ./configure
# make ; make install

□Railsのインストール

Railsのインストール

# gem install rails –version=3.0.0

Ruby on Railsがインストールされた場所を確認

# gem which rails
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0/lib/rails.rb

バージョン確認

# rails -v
Rails 3.0.0